#ifndef COSY_MGCoordinates
#define COSY_MGCoordinates

#ifndef ROOT_TGFrame
#include <TGFrame.h>
#endif

#ifndef MARS_MPointing
#include "MPointing.h"
#endif

enum {
    kETypeZdAz = BIT(0),
    kETypeRaDec= BIT(1),
    kETypeNone = BIT(3)
};

class MGCoordinate;

class MGCoordinates : public TGFrame
{
    MGCoordinate *fX;
    MGCoordinate *fY;

public:
    MGCoordinates(const TGWindow* p, const Int_t type=kETypeZdAz,
                  const Int_t flag=1,
                  const Int_t deg1=0, const UInt_t min1=0, const UInt_t sec1=0,
                  const Int_t deg2=0, const UInt_t min2=0, const UInt_t sec2=0);
    ~MGCoordinates();

    XY   GetCoordinates() const;
    void SetCoordinates(const XY &xy);

    void Print(Option_t *o="") const;

    ClassDef(MGCoordinates, 0)
};

#endif // COSY_MGCoordinates
